
QGIS Application - Bug report #17943

Crash when closing Layout Manager dialog

2018-01-24 09:24 AM - Johannes Kroeger

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 25839

Description

I am starting to think it might be something with my QT libraries, considering the crashes I submitted yesterday. Anyways, here is another

one.

1. Run QGIS

2. Open Layout Manager

3. Close Layout Manager

4. Crash, see attached gdb backtrace.

Archlinux 64bit.

QGIS version

2.99.0-Master

QGIS code revision

3b0afb2635

Compiled against Qt

5.10.0

Running against Qt

5.10.0

Compiled against GDAL/OGR

2.2.3

Running against GDAL/OGR

2.2.3

Compiled against GEOS

3.6.2-CAPI-1.10.2

Running against GEOS

3.6.2-CAPI-1.10.2 4d2925d6

PostgreSQL Client Version

10.1

SpatiaLite Version

4.3.0a

QWT Version

6.1.3

PROJ.4 Version

493

QScintilla2 Version

2.10.2
This copy of QGIS writes debugging output.

History

#1 - 2018-01-24 09:16 PM - Nyall Dawson

- Status changed from Open to Feedback

I think it's something in your local environment too.

#2 - 2018-01-26 09:48 PM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Feedback to Closed

Duplicate of #17916

Files

bt.log 3.02 KB 2018-01-24 Johannes Kroeger
